Intrusion Prevention

Sun.Java.Web.Proxy.sockd.Remote.Buffer.Overflow

Description

This indicates an attack attempt against a Buffer Overflow vulnerability in the Java System Web Proxy sockd daemon.
The vulnerability is caused by a lack of boundary checking on user supplied parameters during the protocol negotiation. It could allow a remote attacker to execute arbitrary code by sending a specially crafted connection request.

Affected Products

Sun Java Web Proxy Server 4.0.4
Sun Java Web Proxy Server 4.0.3
Sun Java Web Proxy Server 4.0.2
Sun Java Web Proxy Server 4.0 SP1
Sun Java Web Proxy Server 4.0
RedHat Enterprise Linux ES 3
RedHat Enterprise Linux AS 3

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

CVE References

CVE-2007-2881